> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noqa.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Builds

> List builds for app (Public API with API Key authentication)



## OpenAPI

````yaml /openapi.json get /v1/builds/
openapi: 3.1.0
info:
  title: NOQA Public API
  description: >-
    Public API for mobile app testing automation. Authenticate using API Key in
    x-api-key header.
  version: 1.0.0
servers: []
security:
  - apiKeyAuth: []
paths:
  /v1/builds/:
    get:
      tags:
        - Builds
      summary: List Builds
      description: List builds for app (Public API with API Key authentication)
      operationId: list_builds_v1_builds__get
      parameters:
        - name: app_id
          in: query
          required: true
          schema:
            type: string
            format: uuid
            description: Application ID
            title: App Id
          description: Application ID
        - name: skip
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Number of records to skip
            default: 0
            title: Skip
          description: Number of records to skip
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Maximum number of records
            default: 50
            title: Limit
          description: Maximum number of records
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: API Key for authentication
            title: X-Api-Key
          description: API Key for authentication
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/src__routers__public__v1__builds__schemas__BuildResponse
                title: Response List Builds V1 Builds  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    src__routers__public__v1__builds__schemas__BuildResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Unique identifier of the build
          examples:
            - 550e8400-e29b-41d4-a716-446655440000
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when the build was created
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Display name of the build
          examples:
            - Production Build v1.0
        version:
          type: string
          title: Version
          description: Version string of the build
          examples:
            - 1.0.0 (5)
        key:
          type: string
          title: Key
          description: Storage key of the build file
          examples:
            - >-
              builds/d773ade3-7053-4a91-9dd8-d2e59ba58d0a/550e8400-e29b-41d4-a716-446655440000.ipa
        file_size:
          type: integer
          title: File Size
          description: Size of the build file in bytes
          examples:
            - 10485760
        bundle_id:
          type: string
          title: Bundle Id
          description: Bundle identifier of the application
          examples:
            - com.example.app
      type: object
      required:
        - id
        - created_at
        - version
        - key
        - file_size
        - bundle_id
      title: BuildResponse
      description: Build response for Public API
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication. Get your API key from NOQA dashboard.

````